# RequestState

#### RequestState()
Core/RequestState.js 12

State of the request.

### Members

#### static constantCesium.RequestState.ACTIVE : Number
Core/RequestState.js 35

Actual http request has been sent.

#### static constantCesium.RequestState.CANCELLED : Number
Core/RequestState.js 51

Request was cancelled, either explicitly or automatically because of low priority.

#### static constantCesium.RequestState.FAILED : Number
Core/RequestState.js 59

Request failed.

#### static constantCesium.RequestState.ISSUED : Number
Core/RequestState.js 27

Issued but not yet active. Will become active when open slots are available.

#### static constantCesium.RequestState.RECEIVED : Number
Core/RequestState.js 43

Request completed successfully.

#### static constantCesium.RequestState.UNISSUED : Number
Core/RequestState.js 19

Initial unissued state.